# Makefile for how to weekly jobs


SRCS = books.tex howto-announcement.tex howto-breakdown.tex howto-gate.tex howto-jobcoord.tex howto-setup.tex deposits.tex

ALLSRCS = $(SRCS) 


all: all-pdf #all-html

all-dvi: $(ALLSRCS:.tex=.dvi)
all-ps: $(ALLSRCS:.tex=.ps)
all-pdf: $(ALLSRCS:.tex=.pdf)
all-html: $(ALLSRCS:.tex=.html)

 TEXLIBDIR=/mit/tech-squares/lib/tex/macros:../../lib/tex/macros

 LATEX_ENV=TEXINPUTS=.:$(TEXLIBDIR):
 DVIPS_ENV=DVIPSHEADERS=.:$(TEXLIBDIR):

 LATEX = latex
 DVIPS = dvips -Ppdf
 PS2PDF = ps2pdf
 LATEX2HTML = latex2html
 MAKEINDEX = makeindex

.SUFFIXES: .tex .dvi .ps .pdf .html

%.pdf : %.tex ts-jobs.cls
	$(LATEX_ENV) pdflatex $<

.tex.dvi:
	$(LATEX_ENV) $(LATEX) $<

# dvips version 5.86e and 5.92b fail to write a %%CreationDate
.dvi.ps:
	$(DVIPS_ENV) $(DVIPS) $(DVIPS_FLAGS) -o - $< | \
	  sed -e "`echo '1a\'; echo '%%CreationDate:'` `date`" > $@

.ps.pdf:
	$(PS2PDF) $(PS2PDF_FLAGS) $< $@

.tex.html:
	$(LATEX2HTML) $< && \
	/mit/tech-squares/arch/@sys/bin/ts-html-convert govdocs/ $*/$@ > $@
	rm -r $*/

$(ALLSRCS:.tex=.dvi): ts-jobs.cls
$(ALLSRCS:.tex=.html): jobs.perl



mostlyclean:
	-rm *.aux *.out *.log *.dvi *.ilg *.ind *.ps web.tar

clean: mostlyclean
	-rm *.idx *.pdf *.html

distclean: clean
	-rm *~

# Make the tar files for distributing these files.

web.tar: $(SRCS:.tex=.pdf) #$(SRCS:.tex=.html)
	tar cf $@ $^
	@echo " ---"
	@echo "move $@ to /mit/tech-squares/www/howto, then unpack it with this command:"
	@echo "tar xpfv $@"

install: web.tar
	tar xpfv web.tar -C /mit/tech-squares/www/howto
